Bug 830620

Summary: preupgrade reboot cannot find root on btrfs subvolume
Product: [Fedora] Fedora Reporter: Kel Byers <kel_byers>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: hughsient, pedemonte
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 20:43:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kel Byers 2012-06-10 22:23:16 EDT
Description of problem: I have Fedora 16 installed with a small /boot ext4 partition, and the rest of the system on a btrfs pool, with / on one subvolume and /home on another subvolume. Trying to upgrade to Fedora 17 using preupgrade. Upon reboot, a message is displayed that "The root for the previously installed system was not found".

There don't seem to be any parameters documented that can be added to the grub2 boot commands to point out how to find the root fs. Giving the same parameters used to boot the system normally just cause it to boot into Fedora 16 and not launch anaconda.

Version-Release number of selected component (if applicable): preupgrade-1.1.10-1.fc16.noarch

How reproducible: very

Steps to Reproduce:
1. Install F16 using btrfs for root, or use btrfs-convert
2. Create a subvolume snapshot of /
3. Configure rootflags=subvol=<snapshot name>
4. Reboot to subvolume snapshot, and remove everything from root btrfs fs except root subvolume
5. Install preupgrade
6. run preupgrade and reboot
Actual results:

Anaconda will run and then display error message about not finding the previously installed system.

Expected results:

Fedora 16 upgraded to Fedora 17

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:40:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:43:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.